Browser-Independent

www.altova.com Print this Topic Previous Page Up One Level Next page

Home >  Server Setup > HTML Page for Authentic Plug-in >

Browser-Independent

In some projects, it may not be known what browser (Internet Explorer or Firefox) will be used on the client. In such cases, Authentic Browser versions for both Internet Explorer and Firefox can be stored on the server (that is, both the CAB file and XPI file can be stored on the server). In the HTML page you can insert a script to determine which browser has been used to open the HTML page, and accordingly cause the correct Authentic Browser Plug-in to be loaded.

 

Additionally, if Internet Explorer is the browser that is used on the client, then the correct .CAB file (for 32-bit or 64-bit Internet Explorer) must be selected for download from the server. A script can test for the X-bit version of Internet Explorer and select the correct .CAB file for download from teh server.

 

This section contains an example file, which does the following: determines the browser, loads the correct Authentic Browser version, and carries out a few functions.

 

For information about individual objects, see the respective Object descriptions in the Reference section.

 

Note:

 

The Authentic Browser plug-in is supported for Internet Explorer 5.5 or higher, Mozilla Firefox
For Firefox usage, ensure that the MIME type for XPI files has been added in the browser service of your server to the list of MIME types for the site you will use.

 


© 2018 Altova GmbH